PCRE: Schwachstelle in Regular-Expression-Bibliothek

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

PCRE: Schwachstelle in Regular-Expression-Bibliothek

Postby yguru » 06. November 2005 12:52

Also, vor ein paar Monaten wurde über eine Schwachstelle in der PCRE-Bibliothek, die u.a. von Apache und PHP verwendet wird, berichtet. Siehe zum Bleistift Meldung bei heise vom 22.08.

Da stellen wir uns mahl janz dumm und frajen: Watt hattet denn damit auf sich?

Es heißt alle Versionen bis 6.1 seien betroffen, und genau diese Versionen finde ich noch bei ziemlich vielen Providern und eben auch XAMPP (5.0 13-Sep-2004). Ist es so wahnsinnig kompliziert die neue Bibliothek einzukomplilieren oder ist das Sicherheitsleck so klein? Oder sollte man für Produktivsysteme auf jeden Fall 6.2+ nehmen? PCRE wird ja von etlichen Programmen wie auch phpbb zur Suche verwendet (highlighting wenn ich mich nicht irre). :roll:
User avatar
yguru
 
Posts: 32
Joined: 23. March 2005 01:47

Postby Wiedmann » 06. November 2005 13:46

Von welchem XAMPP redest du?

Bei Windows ist auf jedenfall PCRE6.2 einkompiliert...
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby yguru » 10. November 2005 00:19

Ich meine die Linux-Version.
User avatar
yguru
 
Posts: 32
Joined: 23. March 2005 01:47

Postby deepsurfer » 10. November 2005 14:04

Also in der Aktuellen XAMPP für Linux 1.5.0 ist

Code: Select all
pcre
PCRE (Perl Compatible Regular Expressions) Support    enabled
PCRE Library Version    6.2 01-Aug-2005
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
Operating System: Win-XP / Win7 / Linux -Debian

Re: PCRE: Schwachstelle in Regular-Expression-Bibliothek

Postby Kristian Marcroft » 12. November 2005 22:19

yguru wrote:Oder sollte man für Produktivsysteme auf jeden Fall 6.2+ nehmen?


Hi,

über solche Themen informierst du dich und kümmerst dich um Sicherheit?
Aber XAMPP Produktiv einsetzen ja?
Also irgendwas stimmt da nicht!

XAMPP sollte niemals Produktiv eingesetzt werden.
XAMPP ist und bleibt eine Entwicklungsumgebung und kein Gesamtpaket für faule ahnungslose Admins.

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

Postby yguru » 26. November 2005 02:32

Hier fehlt der Smilie *Engel mit Heiligenschein*, der würde jetzt gut zu mir passen. :D

Nee, ich nehme XAMPP hauptsächlich für die Entwicklung. Dazu ist das Ding da, und dafür danke ich Euch. ;)

Die Frage ging ja eher in die Richtung, wie groß die Unterschiede innerhalb der verschiedenen Versionen des PRCE-Moduls sind.
User avatar
yguru
 
Posts: 32
Joined: 23. March 2005 01:47


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 3 guests